// pages/GroupTour/GroupTour.js
let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    background: [
      {
        title: 1,
        list: [
          {
            name: '南压线',
            id: 1,
          },
          {
            name: '中南办',
            id: 1,
          },
          {
            name: '中东办',
            id: 1,
          },
          {
            name: '韩国线',
            id: 1,
          }
        ],
      },
      {
        title: 1,
        list: [
          {
            name: '南压线2',
            id: 1,
          },
          {
            name: '中南办2',
            id: 1,
          },
          {
            name: '中东办2',
            id: 1,
          },
          {
            name: '韩国线2',
            id: 1,
          }
        ],
      }
    ],
    indicatorDots: true,
    vertical: false,
    autoplay: false,
    circular: false,
    interval: 2000,
    duration: 500,
    previousMargin: 0,
    nextMargin: 0,
    companyId: app.state.companyId,
    cityId: app.state.cityId,
    tiaoshui:[],
    isLogin: app.isLogin,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.loadTiaoshui();
  },
  loadTiaoshui() {
    let that=this;
    let msg = {
      pageIndex: 1,
      pageSize: 12,
      groupRecommendType: 1,
      companyId: that.data.companyId,
      cityId: that.data.cityId
    }
    app.$apiJavaNew('/api/b2b/group/getHomeRecommendPrice', msg).then(res => {
      that.setData({
        tiaoshui: res.pageData
      })

    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 1000
      })
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})